# extract_lzma in sk_extract::extractors - Rust
Extracts files from an LZMA compressed archive.

# Function sk_extract::extractors::extract_lzma

source ·

    pub fn extract_lzma(
        input_path: &Path,
        output_directory: &Path
    ) -> Result<(), Error>

Expand description

Extracts files from an LZMA compressed archive.

## Arguments

- `input_path` - The path to the LZMA compressed file to extract.
- `output_directory` - The destination directory for extracted files.

## Returns

Returns `Ok(())` on success, or an `Error` if extraction fails.

## Examples

    use std::path::Path;
    let result = extract_lzma(Path::new("src/test_data/test.lzma"), Path::new("output_directory"));
    assert!(result.is_ok());